Bug 461493 - 'ksdevice=link' causes traceback
'ksdevice=link' causes traceback
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
Reported: 2008-09-08 11:23 EDT by Will Woods
Modified: 2008-10-03 14:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-03 14:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Will Woods 2008-09-08 11:23:33 EDT
Booting anaconda- with 'ksdevice=link' on the commandline causes anaconda to traceback just after starting X. The installer exits, so I can't get the anacdump.txt file, but here's the traceback:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 913, in <module>
    anaconda.id = instClass.installDataClass(anaconda, extraModules, opts.display_mode, anaconda.backend)
  File "/usr/lib/anaconda/instdata.py", line 291, in __init__
  File "/usr/lib/anaconda/instdata.py", line 64, in reset
    self.network = network.Network()
  File "/usr/lib/anaconda/network.py", line 342, in __init__
    self.netdevices[self.firstnetdevice].set(("onboot", "yes"))
KeyError: 'link'

I assume this means that self.firstnetdevice is set to 'link'. I'm not sure how it passed this check in Network.available():

        if ksdevice and self.netdevices.get(ksdevice) != '':
            self.firstnetdevice = ksdevice

but I guess 'link' will have to be handled as a special case there.
Comment 1 David Cantrell 2008-09-16 01:45:29 EDT
Just booted with ksdevice=link and it doesn't traceback, it just doesn't do anything with that boot argument right now.  I need to modify the ksdevice=link handling to work with NM now.

But, it doesn't traceback at least.
Comment 2 James Laska 2008-09-23 14:15:37 EDT
Got it to traceback using anaconda- when booting from a boot.iso and providing the cmdline args: 

 repo=hd:sdc1:/dvd ksdevice=link ip=dhcp noipv6
Comment 3 Will Woods 2008-10-03 14:23:29 EDT
This seems to work fine now. Jim?
Comment 4 James Laska 2008-10-03 14:36:36 EDT
Indeed ... additional test results located at https://fedoraproject.org/wiki/QA/Test_Days/2008-10-02#How_to_test.3F

Note You need to log in before you can comment on or make changes to this bug.